from articles.models import Category, Entry
from django.shortcuts import render_to_response
from django.views.generic.list_detail import object_list, object_detail

def show_category(request, category_path, template_name="articles/category.html"):
    category = Category.get_category(category_path)
    entry_list = Entry.objects.filter(category=category).filter(is_active=True).filter(in_list=True).order_by('order', '-date')
    return object_list(request, 
                       queryset=entry_list,
                       paginate_by=10,
                       template_name=template_name,
                       extra_context={'category': category})

def show_entry(request, category_path, slug, template_name="articles/category.html"):
    category = Category.get_category(category_path)
    entry_list = Entry.objects.filter(category=category).filter(is_active=True)
    return object_detail(request, 
                         queryset=entry_list,
                         slug=slug,
                         template_name=template_name)